1.1

1.1

get /v1/archiving-histories

Description

아카이빙 이력 목록을 검색한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
버킷 아이디
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone
querystart_at_from
required
시작일부터
Example : 2025-04-01T00:00:00+09:00
string (date-time)None
querystart_at_to
required
시작일까지
Example : 2025-04-30T23:59:59+09:00
string (date-time)None
querystate
optional
상태
Example : SUCCESS
any of [string, null]None
querylimit
optional
조회 개수
Example : 20
any of [integer, null]20
queryoffset
optional
오프셋
Example : 0
any of [integer, null]0

Responses

HTTP CodeDescriptionSchema
200OKArchivingHistoryListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "total_count": 10,
    "bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
    "contents": [
        {
            "archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
            "id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
            "state": "SUCCESS",
            "archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
            "start_at": "2025-04-01T00:00:00+09:00",
            "end_at": "2025-04-30T23:59:59+09:00"
        }
    ]
}